lunes, 20 de octubre de 2014

Opciones de seguridad en la versión 8 de JAVA

A veces ciertas aplicaciones web que utilizan Java en su programación dejan de funcionar o no abren correctamente, mostrando este mensaje:


La solución a este problema es simple, basta con "bajar" los niveles de seguridad en la configuració de Java. Pueden visitar este post para ver como se hace. Esta solución es efectiva y limpia, pero aplicable hasta la version 7 de Java. La versión 8 cambia la configuración de seguridad y ya no podemos corregir este problerma desde Java.

La configuración de seguridad de la versión 7 de Java tienen estas opciones:


Por defecto la seguridad está configurada en Alta y bajándola a Media se resuelve el problema.

La configuración de seguridad de la versión 8 de Java tiene estas opciones:


Esta versión no ofrece la opción Media de seguridad como en la versión 7 (o bien yo no encontré la forma). Por tanto no pude solucionar este problema en esta versión de Java.

Como no encontré una solución efectiva para este problema en la versión 8 de Java, terminé desinstalando esta versión y volviendo a instalar la versión 7 para poder solucionar el problema.